"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DisableStageTransition_1 = require("../model/operations/DisableStageTransition");
var DisableStageTransitionCommand = /** @class */ (function () {
    function DisableStageTransitionCommand(input) {
        this.input = input;
        this.model = DisableStageTransition_1.DisableStageTransition;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DisableStageTransitionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DisableStageTransitionCommand;
}());
exports.DisableStageTransitionCommand = DisableStageTransitionCommand;
//# sourceMappingURL=DisableStageTransitionCommand.js.map