"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetJobDetails_1 = require("../model/operations/GetJobDetails");
var GetJobDetailsCommand = /** @class */ (function () {
    function GetJobDetailsCommand(input) {
        this.input = input;
        this.model = GetJobDetails_1.GetJobDetails;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetJobDetailsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetJobDetailsCommand;
}());
exports.GetJobDetailsCommand = GetJobDetailsCommand;
//# sourceMappingURL=GetJobDetailsCommand.js.map