import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListPipelineExecutionsInput } from "../types/ListPipelineExecutionsInput";
import { ListPipelineExecutionsOutput } from "../types/ListPipelineExecutionsOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/ListPipelineExecutionsInput";
export * from "../types/ListPipelineExecutionsOutput";
export * from "../types/ListPipelineExecutionsExceptionsUnion";
export declare class ListPipelineExecutionsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListPipelineExecutionsInput, OutputTypesUnion, ListPipelineExecutionsOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: ListPipelineExecutionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListPipelineExecutionsInput, ListPipelineExecutionsOutput, Blob>;
    constructor(input: ListPipelineExecutionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<ListPipelineExecutionsInput, ListPipelineExecutionsOutput>;
}
