import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListPipelinesInput } from "../types/ListPipelinesInput";
import { ListPipelinesOutput } from "../types/ListPipelinesOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/ListPipelinesInput";
export * from "../types/ListPipelinesOutput";
export * from "../types/ListPipelinesExceptionsUnion";
export declare class ListPipelinesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListPipelinesInput, OutputTypesUnion, ListPipelinesOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: ListPipelinesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListPipelinesInput, ListPipelinesOutput, Blob>;
    constructor(input: ListPipelinesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<ListPipelinesInput, ListPipelinesOutput>;
}
