import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutActionRevisionInput } from "../types/PutActionRevisionInput";
import { PutActionRevisionOutput } from "../types/PutActionRevisionOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/PutActionRevisionInput";
export * from "../types/PutActionRevisionOutput";
export * from "../types/PutActionRevisionExceptionsUnion";
export declare class PutActionRevisionCommand implements __aws_sdk_types.Command<InputTypesUnion, PutActionRevisionInput, OutputTypesUnion, PutActionRevisionOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: PutActionRevisionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutActionRevisionInput, PutActionRevisionOutput, Blob>;
    constructor(input: PutActionRevisionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<PutActionRevisionInput, PutActionRevisionOutput>;
}
