import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StartPipelineExecutionInput } from "../types/StartPipelineExecutionInput";
import { StartPipelineExecutionOutput } from "../types/StartPipelineExecutionOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/StartPipelineExecutionInput";
export * from "../types/StartPipelineExecutionOutput";
export * from "../types/StartPipelineExecutionExceptionsUnion";
export declare class StartPipelineExecutionCommand implements __aws_sdk_types.Command<InputTypesUnion, StartPipelineExecutionInput, OutputTypesUnion, StartPipelineExecutionOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: StartPipelineExecutionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StartPipelineExecutionInput, StartPipelineExecutionOutput, Blob>;
    constructor(input: StartPipelineExecutionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<StartPipelineExecutionInput, StartPipelineExecutionOutput>;
}
