"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DisableStageTransitionInput_1 = require("../shapes/DisableStageTransitionInput");
var DisableStageTransitionOutput_1 = require("../shapes/DisableStageTransitionOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var PipelineNotFoundException_1 = require("../shapes/PipelineNotFoundException");
var StageNotFoundException_1 = require("../shapes/StageNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DisableStageTransition = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DisableStageTransition",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DisableStageTransitionInput_1.DisableStageTransitionInput
    },
    output: {
        shape: DisableStageTransitionOutput_1.DisableStageTransitionOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: PipelineNotFoundException_1.PipelineNotFoundException
        },
        {
            shape: StageNotFoundException_1.StageNotFoundException
        }
    ]
};
//# sourceMappingURL=DisableStageTransition.js.map