"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetPipelineInput_1 = require("../shapes/GetPipelineInput");
var GetPipelineOutput_1 = require("../shapes/GetPipelineOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var PipelineNotFoundException_1 = require("../shapes/PipelineNotFoundException");
var PipelineVersionNotFoundException_1 = require("../shapes/PipelineVersionNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetPipeline = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetPipeline",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetPipelineInput_1.GetPipelineInput
    },
    output: {
        shape: GetPipelineOutput_1.GetPipelineOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: PipelineNotFoundException_1.PipelineNotFoundException
        },
        {
            shape: PipelineVersionNotFoundException_1.PipelineVersionNotFoundException
        }
    ]
};
//# sourceMappingURL=GetPipeline.js.map