"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListActionTypesInput_1 = require("../shapes/ListActionTypesInput");
var ListActionTypesOutput_1 = require("../shapes/ListActionTypesOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListActionTypes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListActionTypes",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListActionTypesInput_1.ListActionTypesInput
    },
    output: {
        shape: ListActionTypesOutput_1.ListActionTypesOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        }
    ]
};
//# sourceMappingURL=ListActionTypes.js.map