"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutActionRevisionInput_1 = require("../shapes/PutActionRevisionInput");
var PutActionRevisionOutput_1 = require("../shapes/PutActionRevisionOutput");
var PipelineNotFoundException_1 = require("../shapes/PipelineNotFoundException");
var StageNotFoundException_1 = require("../shapes/StageNotFoundException");
var ActionNotFoundException_1 = require("../shapes/ActionNotFoundException");
var ValidationException_1 = require("../shapes/ValidationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutActionRevision = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutActionRevision",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutActionRevisionInput_1.PutActionRevisionInput
    },
    output: {
        shape: PutActionRevisionOutput_1.PutActionRevisionOutput
    },
    errors: [
        {
            shape: PipelineNotFoundException_1.PipelineNotFoundException
        },
        {
            shape: StageNotFoundException_1.StageNotFoundException
        },
        {
            shape: ActionNotFoundException_1.ActionNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=PutActionRevision.js.map