"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutJobFailureResultInput_1 = require("../shapes/PutJobFailureResultInput");
var PutJobFailureResultOutput_1 = require("../shapes/PutJobFailureResultOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var JobNotFoundException_1 = require("../shapes/JobNotFoundException");
var InvalidJobStateException_1 = require("../shapes/InvalidJobStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutJobFailureResult = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutJobFailureResult",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutJobFailureResultInput_1.PutJobFailureResultInput
    },
    output: {
        shape: PutJobFailureResultOutput_1.PutJobFailureResultOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: JobNotFoundException_1.JobNotFoundException
        },
        {
            shape: InvalidJobStateException_1.InvalidJobStateException
        }
    ]
};
//# sourceMappingURL=PutJobFailureResult.js.map