"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UntagResourceInput_1 = require("../shapes/UntagResourceInput");
var UntagResourceOutput_1 = require("../shapes/UntagResourceOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var InvalidTagsException_1 = require("../shapes/InvalidTagsException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UntagResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UntagResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UntagResourceInput_1.UntagResourceInput
    },
    output: {
        shape: UntagResourceOutput_1.UntagResourceOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: InvalidTagsException_1.InvalidTagsException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        }
    ]
};
//# sourceMappingURL=UntagResource.js.map