"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _StageStateList_1 = require("./_StageStateList");
exports.GetPipelineStateOutput = {
    type: "structure",
    required: [],
    members: {
        pipelineName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        pipelineVersion: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        stageStates: {
            shape: _StageStateList_1._StageStateList
        },
        created: {
            shape: {
                type: "timestamp"
            }
        },
        updated: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=GetPipelineStateOutput.js.map