"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ActionTypeId_1 = require("./_ActionTypeId");
var _ActionConfigurationMap_1 = require("./_ActionConfigurationMap");
var _ArtifactDetailList_1 = require("./_ArtifactDetailList");
exports._ActionExecutionInput = {
    type: "structure",
    required: [],
    members: {
        actionTypeId: {
            shape: _ActionTypeId_1._ActionTypeId
        },
        configuration: {
            shape: _ActionConfigurationMap_1._ActionConfigurationMap
        },
        roleArn: {
            shape: {
                type: "string"
            }
        },
        region: {
            shape: {
                type: "string",
                min: 4
            }
        },
        inputArtifacts: {
            shape: _ArtifactDetailList_1._ArtifactDetailList
        }
    }
};
//# sourceMappingURL=_ActionExecutionInput.js.map