"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ArtifactStore_1 = require("./_ArtifactStore");
var _ArtifactStoreMap_1 = require("./_ArtifactStoreMap");
var _PipelineStageDeclarationList_1 = require("./_PipelineStageDeclarationList");
exports._PipelineDeclaration = {
    type: "structure",
    required: ["name", "roleArn", "stages"],
    members: {
        name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        roleArn: {
            shape: {
                type: "string"
            }
        },
        artifactStore: {
            shape: _ArtifactStore_1._ArtifactStore
        },
        artifactStores: {
            shape: _ArtifactStoreMap_1._ArtifactStoreMap
        },
        stages: {
            shape: _PipelineStageDeclarationList_1._PipelineStageDeclarationList
        },
        version: {
            shape: {
                type: "integer",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=_PipelineDeclaration.js.map