"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutApprovalResult_1 = require("../model/operations/PutApprovalResult");
var PutApprovalResultCommand = /** @class */ (function () {
    function PutApprovalResultCommand(input) {
        this.input = input;
        this.model = PutApprovalResult_1.PutApprovalResult;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutApprovalResultCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutApprovalResultCommand;
}());
exports.PutApprovalResultCommand = PutApprovalResultCommand;
//# sourceMappingURL=PutApprovalResultCommand.js.map