import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutThirdPartyJobFailureResultInput } from "../types/PutThirdPartyJobFailureResultInput";
import { PutThirdPartyJobFailureResultOutput } from "../types/PutThirdPartyJobFailureResultOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/PutThirdPartyJobFailureResultInput";
export * from "../types/PutThirdPartyJobFailureResultOutput";
export * from "../types/PutThirdPartyJobFailureResultExceptionsUnion";
export declare class PutThirdPartyJobFailureResultCommand implements __aws_sdk_types.Command<InputTypesUnion, PutThirdPartyJobFailureResultInput, OutputTypesUnion, PutThirdPartyJobFailureResultOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: PutThirdPartyJobFailureResultInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutThirdPartyJobFailureResultInput, PutThirdPartyJobFailureResultOutput, Blob>;
    constructor(input: PutThirdPartyJobFailureResultInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<PutThirdPartyJobFailureResultInput, PutThirdPartyJobFailureResultOutput>;
}
