"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AcknowledgeThirdPartyJobInput_1 = require("../shapes/AcknowledgeThirdPartyJobInput");
var AcknowledgeThirdPartyJobOutput_1 = require("../shapes/AcknowledgeThirdPartyJobOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidNonceException_1 = require("../shapes/InvalidNonceException");
var JobNotFoundException_1 = require("../shapes/JobNotFoundException");
var InvalidClientTokenException_1 = require("../shapes/InvalidClientTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AcknowledgeThirdPartyJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AcknowledgeThirdPartyJob",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AcknowledgeThirdPartyJobInput_1.AcknowledgeThirdPartyJobInput
    },
    output: {
        shape: AcknowledgeThirdPartyJobOutput_1.AcknowledgeThirdPartyJobOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidNonceException_1.InvalidNonceException
        },
        {
            shape: JobNotFoundException_1.JobNotFoundException
        },
        {
            shape: InvalidClientTokenException_1.InvalidClientTokenException
        }
    ]
};
//# sourceMappingURL=AcknowledgeThirdPartyJob.js.map