"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeregisterWebhookWithThirdPartyInput_1 = require("../shapes/DeregisterWebhookWithThirdPartyInput");
var DeregisterWebhookWithThirdPartyOutput_1 = require("../shapes/DeregisterWebhookWithThirdPartyOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var WebhookNotFoundException_1 = require("../shapes/WebhookNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeregisterWebhookWithThirdParty = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeregisterWebhookWithThirdParty",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeregisterWebhookWithThirdPartyInput_1.DeregisterWebhookWithThirdPartyInput
    },
    output: {
        shape: DeregisterWebhookWithThirdPartyOutput_1.DeregisterWebhookWithThirdPartyOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: WebhookNotFoundException_1.WebhookNotFoundException
        }
    ]
};
//# sourceMappingURL=DeregisterWebhookWithThirdParty.js.map