"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ActionExecutionFilter_1 = require("./_ActionExecutionFilter");
exports.ListActionExecutionsInput = {
    type: "structure",
    required: ["pipelineName"],
    members: {
        pipelineName: {
            shape: {
                type: "string",
                min: 1
            }
        },
        filter: {
            shape: _ActionExecutionFilter_1._ActionExecutionFilter
        },
        maxResults: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        nextToken: {
            shape: {
                type: "string",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=ListActionExecutionsInput.js.map